%define upstream_name    POE-Component-Logger
%define upstream_version 1.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary: 	%{upstream_name} module for perl
License: 	GPL+ or Artistic
Group: 		Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0: 	https://cpan.metacpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(Log::Dispatch::Config) >= 0.100.0
BuildRequires:  perl(POE) >= 0.110.0
BuildArch: 	noarch


Requires: 	perl-POE >= 0.11
Requires:   perl-Log-Dispatch-Config >= 0.10

%description 
%{upstream_name} module for perl.  A highly flexible logger component
for POE that uses Log::Dispatch and Log::Dispatch::Config for
ultimate flexibility and power.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build

%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} 
CFLAGS="$RPM_OPT_FLAGS" make PREFIX=%{_prefix}


%install
%make_install

%files
%defattr(444,root,root,755)
%doc README META.yml
%_mandir/*/*
%{perl_vendorlib}/POE/Component


%changelog
* Mon Mar 28 2022 umeabot <umeabot> 1.100.0-12.mga9
+ Revision: 1830367
- Mageia 9 Mass Rebuild

* Sat Aug 29 2020 tv <tv> 1.100.0-11.mga8
+ Revision: 1619668
- fix build by using %%make_install

* Wed Feb 12 2020 umeabot <umeabot> 1.100.0-10.mga8
+ Revision: 1496867
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.100.0-9.mga7
+ Revision: 1270857
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.100.0-8.mga6
+ Revision: 1032512
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.100.0-7.mga6
+ Revision: 948861
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.100.0-6.mga5
+ Revision: 788514
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.100.0-5.mga5
+ Revision: 748646
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.100.0-4.mga5
+ Revision: 685820
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.100.0-3.mga4
+ Revision: 513848
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-2.mga3
+ Revision: 371244
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 1.100.0-1.mga1
+ Revision: 37139
- mageia rebuild
- imported package perl-POE-Component-Logger

